# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, ... }:

{
    nix.maxJobs = lib.mkDefault 3;
    nix.buildCores = 3;

    hardware.enableAllFirmware = true;
    hardware.trackpoint.emulateWheel = true;

    boot.initrd.availableKernelModules = [ "xhci_pci" "ahci" "usb_storage" "sd_mod" "rtsx_pci_sdmmc" ];
    boot.kernelModules = [ "kvm-intel" ];
    boot.extraModprobeConfig = ''
      options kvm-intel nested=1
      options kvm-intel enable_shadow_vmcs=1
      options kvm-intel enable_apicv=1
      options kvm-intel ept=1
    '';
    boot.extraModulePackages = [ ];

    boot.loader.systemd-boot.enable = true;
    boot.loader.efi.canTouchEfiVariables = false; 

    fileSystems."/boot" = { 
        device = "/dev/disk/by-id/usb-JetFlash_Transcend_8GB_199164062-0:0-part2";
        fsType = "vfat";
    };

    fileSystems."/" = {
        device = "/dev/live-usb-transcend/live-usb-swap";
        fsType = "btrfs";
        options = [ "subvol=nixos" ];
    };

    fileSystems."/home" = {
        device = "/dev/live-usb-transcend/live-usb-root";
        fsType = "btrfs";
        options = [ "subvol=home" ];
    };

    swapDevices = [
        { device = "/dev/live-usb-transcend/live-usb-swap"; }
    ];

    boot.loader.grub = {
        device = "/dev/disk/by-id/usb-JetFlash_Transcend_8GB_199164062-0:0";
        efiSupport = true;
        efiInstallAsRemovable = true;
    };

    boot.initrd.luks.devices = [ {
            name = "crypt-live-usb";
            device = "/dev/disk/by-id/usb-JetFlash_Transcend_8GB_199164062-0:0-part3";
            preLVM = true;
            allowDiscards = true;
        }
    ];
}
